AbstractRequestBodyDataBindingSourceCreator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.databinding.bindingsource
[Groovy] Class AbstractRequestBodyDataBindingSourceCreator

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.bindingsource.DefaultDataBindingSourceCreator
          org.grails.databinding.bindingsource.AbstractRequestBodyDataBindingSourceCreator

    @groovy.transform.CompileStatic
    abstract class AbstractRequestBodyDataBindingSourceCreator
    extends DefaultDataBindingSourceCreator

Method Summary
`protected DataBindingSource` | `createBindingSource(java.io.InputStream inputStream, java.lang.String charsetName)`
`protected DataBindingSource` | `createBindingSource(java.io.Reader reader)`
`protected DataBindingSourceCreationException` | `createBindingSourceCreationException(java.lang.Exception e)`
`protected CollectionDataBindingSource` | `createCollectionBindingSource(java.io.InputStream inputStream, java.lang.String charsetName)`
`protected CollectionDataBindingSource` | `createCollectionBindingSource(java.io.Reader reader)`
`CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
`DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
`java.lang.Class` | `getTargetType()`

Methods inherited from class DefaultDataBindingSourceCreator
createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createBindingSource

    protected DataBindingSource createBindingSource(java.io.InputStream inputStream, java.lang.String charsetName)

### createBindingSource

    protected DataBindingSource createBindingSource(java.io.Reader reader)

### createBindingSourceCreationException

    protected DataBindingSourceCreationException createBindingSourceCreationException(java.lang.Exception e)

### createCollectionBindingSource

    protected CollectionDataBindingSource createCollectionBindingSource(java.io.InputStream inputStream, java.lang.String charsetName)

### createCollectionBindingSource

    protected CollectionDataBindingSource createCollectionBindingSource(java.io.Reader reader)

### createCollectionDataBindingSource

    @java.lang.Override
    CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

### createDataBindingSource

    @java.lang.Override
    DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

### getTargetType

    @java.lang.Override
    java.lang.Class getTargetType()

Groovy Documentation